<template>
  <view class="page-wrapper">
    <JeepayCustomNavbar title="应用管理" backCtrl="back" />
	
    <JSearchTitle place="搜索应用" @tap="go.toSearchPage('mchApp')" />
	
	<JeepayTableList ref="jeepayTableListRef" :reqTableDataFunc="reqTableDataFunc">
		<template #tableBody="{ record }">
			 <MchAppRender :record="record" />
		</template>
	</JeepayTableList>
  </view>
</template>

<script setup>
import { nextTick, reactive, ref } from "vue"
import { onReachBottom, onShow, onUnload } from '@dcloudio/uni-app'
import go from '@/commons/utils/go.js'
import emit from '@/commons/utils/emit.js'
import { reqLoad, API_URL_MCH_APP_LIST } from "@/http/apiManager.js"
import MchAppRender from '@/pages/list/render/MchAppRender.vue'

const jeepayTableListRef = ref()

onReachBottom(() => { })

// 监听 更新事件 
onUnload( () => uni.$off(emit.ENAME_REF_TABLE_MCH_APP) )
uni.$on(emit.ENAME_REF_TABLE_MCH_APP, function(data){
	jeepayTableListRef.value.refTable(true)
})

// 请求
function reqTableDataFunc (params) {
    return reqLoad.list(API_URL_MCH_APP_LIST, params)
}
	
</script>

<style lang="scss" scoped></style>
